/***
*
* XBNBT Beta 81b.3.4 - A C++ BitTorrent Tracker
* Copyright (C) 2003-2004 =Xotic=
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
***/

// Modified by =Xotic=, from config.h


#ifndef CONFIG_LANG_H
 #define CONFIG_LANG_H

#define LANG_CFG_FILE "lang.cfg"

extern map<string, string> gmapLANG_CFG;

void LANG_CFG_Init( const char *szFile );
void LANG_CFG_Open( const char *szFile );
void LANG_CFG_SetString( string strKey, string x );
string LANG_CFG_GetString( string strKey, string x );
void LANG_CFG_Delete( string strKey );
void LANG_CFG_Close( const char *szFile );
void LANG_CFG_SetDefaultsSort( );
void LANG_CFG_SetDefaultsErrorLog( );
void LANG_CFG_SetDefaultsXbnbt( );
void LANG_CFG_SetDefaults( );

#endif
