/***
*
* XBNBT Beta 81b.3.4 - A C++ BitTorrent Tracker
* Copyright (C) 2003-2004 =Xotic=
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
***/

// Modified by =Xotic=, from sort.h

#define SORT_ATAG				21
#define SORT_DTAG				22
#define SORT_AUPLOADER			23
#define SORT_DUPLOADER			24

#define SORTP_ACLIENT			11
#define SORTP_DCLIENT			12
#define SORTP_AIP				13
#define SORTP_DIP				14
#define SORTP_AAUR				15
#define SORTP_DAUR				16
#define SORTP_AADR				17
#define SORTP_DADR				18

#define SORTSTR_ATAG			string( "21" )
#define SORTSTR_DTAG			string( "22" )
#define SORTSTR_AUPLOADER		string( "23" )
#define SORTSTR_DUPLOADER		string( "24" )

#define SORTPSTR_ACLIENT		string( "11" )
#define SORTPSTR_DCLIENT		string( "12" )
#define SORTPSTR_AIP			string( "13" )
#define SORTPSTR_DIP			string( "14" )
#define SORTPSTR_AAUR			string( "15" )
#define SORTPSTR_DAUR			string( "16" )
#define SORTPSTR_AADR			string( "17" )
#define SORTPSTR_DADR			string( "18" )

int asortByTag( const void *elem1, const void *elem2 );
int dsortByTag( const void *elem1, const void *elem2 );
int asortByUploader( const void *elem1, const void *elem2 );
int dsortByUploader( const void *elem1, const void *elem2 );
int asortpByClient( const void *elem1, const void *elem2 );
int dsortpByClient( const void *elem1, const void *elem2 );
int asortpByIP( const void *elem1, const void *elem2 );
int dsortpByIP( const void *elem1, const void *elem2 );
int asortpByAUR( const void *elem1, const void *elem2 );
int dsortpByAUR( const void *elem1, const void *elem2 );
int asortpByADR( const void *elem1, const void *elem2 );
int dsortpByADR( const void *elem1, const void *elem2 );
