/***
*
* XBNBT Beta 81b.3.4 - A C++ BitTorrent Tracker
* Copyright (C) 2003-2004 =Xotic=
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
***/

// Modified by =Xotic=, from util.h

#ifndef XUTIL_H
#define XUTIL_H

string UTIL_Date( );

bool UTIL_CheckDir( const char *szFile );
string UTIL_Xsprintf( const char *format, ... );

// From jTracker 1.25
string UTIL_64ToString( int64 v );
string UTIL_HexEncode( int l, int v );
int UTIL_HexDecode( char v );
string UTIL_HexToString( const string& sHex );
string UTIL_StringToHex( const string& sString );
static string sPeerID2Client( const string& name, const string& peer_id, int i );
string UTIL_PeerID2String( const string& sPeerID, string& sClientType );

#endif
